အကြောင်းအရာသို့ ကျော်ရန်

Latent Consistency Models (v1.5/XL)

ပေါင်းစည်းရန်

မော်ဒယ် id fast-lcm-diffusion
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fast-lcm-diffusion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၀၅ $ ၅ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Open model စာသားမှ ပုံ မြန်ဆန် #lcm#diffusion#turbo#real-time

အဆင့်အနည်းငယ်ဖြင့် latent consistency စာသားမှပုံ၊ တောင်းဆိုချက်တစ်ခုလျှင် ပုံ 8 ပုံအထိ

Open model · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ဖန်တီးလိုသောပုံကို အသေးစိတ်နိုင်သမျှ အသေးစိတ်ဖော်ပြပါ၊ ထိုသို့ပြုလုပ်ခြင်းဖြင့် အကောင်းဆုံးရလဒ် ရရှိမည်။

image_size မူလ square_hd

ဖန်တီးထားသောပုံ၏ အရွယ်အစား။

num_images မူလ 1

ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။

အဆင့်မြင့် negative_prompt · safety_checker_version · format · request_id · num_inference_steps · guidance_scale · seed · enable_safety_checker · expand_prompt
မူလ

ဖယ်ရှားလိုသော ပုံအသေးစိတ်များ၊ အရောင်များ၊ အရာဝတ္ထုများ၊ ရှုခင်းများ သို့မဟုတ် အသေးစိတ်အင်္ဂါရပ်များကို သတ်မှတ်သည့် အနုတ်လက္ခဏာ ပရောမ့်။ ဥပမာများမှာ နှုတ်ခမ်းမွှေး၊ ဝါးခြင်း သို့မဟုတ် ရုပ်ထွက်အရည်အသွေး နိမ့်ခြင်းတို့ ဖြစ်သည်။

safety_checker_version မူလ v1

စိတ်ကြိုက် ViT safety checker (`v2`) နှင့် CompVis checker (`v1`, မူလတန်ဖိုး) တို့အကြား ရွေးချယ်ပါ။

format မူလ jpeg

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

မူလ

တုံ့ပြန်ချက်ကို ၎င်းထုတ်ပေးသည့် တောင်းဆိုချက်နှင့် ဆက်စပ်ဖော်ထုတ်ရန် အသုံးပြုသည့် တောင်းဆိုချက်အမှတ်အသား။

မူလ 6

လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။

မူလ 1.5

ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။

Stable Diffusion တွင် ပုံများကို ပြန်လည်ထုတ်လုပ်ရန် seed။ မော်ဒယ်ဗားရှင်း၊ ပရောမ့်နှင့် seed ကို မပြောင်းလဲထားပါက run တိုင်း ပုံကို အတိအကျ ပြန်လည်ထုတ်လုပ်နိုင်သည်။

POST /run/fast-lcm-diffusion?wait=20 ကုန်ကျစရိတ် → ၀.၀၀၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/fast-lcm-diffusion?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Latent Consistency Models (v1.5/XL) အကြောင်း

အဆင့်အနည်းငယ်ဖြင့် `prompt` မှ ပုံများကို ဖန်တီးသည် (မူလတန်ဖိုး 6၊ 32 အထိ)။ `num_images` သည် 1 မှ 8 အထိ ခွင့်ပြုပြီး `image_size` တွင် မူကြိုသတ်မှတ်ချက် 6 ခု ပါဝင်သည်။ `guidance_scale` သည် 0 မှ 20 အထိ ဖြစ်သည်။ ရွေးချယ်နိုင်သော ပရောမ့်ချဲ့ထွင်မှု၊ safety checker ဗားရှင်း v1 သို့မဟုတ် v2 ရွေးချယ်မှုနှင့် jpeg သို့မဟုတ် png ထွက်ရလဒ်တို့ကို ရရှိနိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ဖန်တီးလိုသောပုံကို အသေးစိတ်နိုင်သမျှ အသေးစိတ်ဖော်ပြပါ၊ ထိုသို့ပြုလုပ်ခြင်းဖြင့် အကောင်းဆုံးရလဒ် ရရှိမည်။
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး
ဖယ်ရှားလိုသော ပုံအသေးစိတ်များ၊ အရောင်များ၊ အရာဝတ္ထုများ၊ ရှုခင်းများ သို့မဟုတ် အသေးစိတ်အင်္ဂါရပ်များကို သတ်မှတ်သည့် အနုတ်လက္ခဏာ ပရောမ့်။ ဥပမာများမှာ နှုတ်ခမ်းမွှေး၊ ဝါးခြင်း သို့မဟုတ် ရုပ်ထွက်အရည်အသွေး နိမ့်ခြင်းတို့ ဖြစ်သည်။
image_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားobject
မူလတန်ဖိုးsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ဖန်တီးထားသောပုံ၏ အရွယ်အစား။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး6
၁ – ၃၂
လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
Stable Diffusion တွင် ပုံများကို ပြန်လည်ထုတ်လုပ်ရန် seed။ မော်ဒယ်ဗားရှင်း၊ ပရောမ့်နှင့် seed ကို မပြောင်းလဲထားပါက run တိုင်း ပုံကို အတိအကျ ပြန်လည်ထုတ်လုပ်နိုင်သည်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1.5
၀ – ၂၀
ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။
num_imagesရွေးချယ်နိုင်သည် num_outputs
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၈
ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှု ဖွင့်ခြင်း၊ true သည် စစ်ဆေးမှုကို ဖွင့်ပေးသည်။
safety_checker_versionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးv1
v1v2
စိတ်ကြိုက် ViT safety checker (`v2`) နှင့် CompVis checker (`v1`, မူလတန်ဖိုး) တို့အကြား ရွေးချယ်ပါ။
expand_promptရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
အပိုပရောမ့်များဖြင့် ပရောမ့်ချဲ့ထွင်ခြင်း။ true ဖြစ်သည့်အခါ ဖွင့်ထားသည်။
formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးjpeg
jpegpng
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
request_idရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး
တုံ့ပြန်ချက်ကို ၎င်းထုတ်ပေးသည့် တောင်းဆိုချက်နှင့် ဆက်စပ်ဖော်ထုတ်ရန် အသုံးပြုသည့် တောင်းဆိုချက်အမှတ်အသား။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "fast-lcm-diffusion",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, width, height, content_type}ဖန်တီးထားသော ပုံများ၏ ဖိုင်အချက်အလက်။
timings
object
seed
integerပုံဖန်တီးမှုအတွက် seed၊ ထည့်သွင်းချက်တွင် seed မပါပါက ကျပန်းရွေးချယ်ထားသောတန်ဖိုးကို ပါဝင်စေပြီး၊ ပါရှိပါက ပေးထားသောတန်ဖိုးကို ထပ်မံအသုံးပြုသည်။
has_nsfw_concepts
array of booleanဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။
prompt
stringပုံဖန်တီးစဉ် အသုံးပြုမည့် ပရောမ့်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ပုံ

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/fast-lcm-diffusion.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt